# Uses of Class
org.apache.sysds.runtime.instructions.spark.data.RowMatrixBlock

Packages that use RowMatrixBlock
Package
Description
org.apache.sysds.runtime.instructions.spark.utils

## Uses of RowMatrixBlock in org.apache.sysds.runtime.instructions.spark.utils

Method parameters in org.apache.sysds.runtime.instructions.spark.utils with type arguments of type RowMatrixBlock
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock>`
RDDAggregateUtils.`mergeRowsByKey(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,RowMatrixBlock> in)`
Merges disjoint data of all blocks per key.